<div class="container kd-dialog-default">
  <p class="kd-login-title">Login</p>
  <hr>

  <form novalidate [formGroup]="loginForm" (ngSubmit)="onLogin()">
      <mat-dialog-content>
        <div class="form-group">
          <label for="email" class="form-check-label">Email</label>
          <input name="email" formControlName="email" type="email"
                 class="form-control kd-login-input" email required>
          <mat-error *ngIf="email.dirty && email.errors?.required" class="kd-error">
            Email is required
          </mat-error>
          <mat-error *ngIf="email.dirty && email.errors?.email" class="kd-error">
            Email format is incorrect
          </mat-error>
        </div>
        <div class="form-group">
          <label for="password" class="form-check-label">Password</label>
          <input name="password" formControlName="password" type="password"
                 class="form-control kd-login-input" required>
          <mat-error *ngIf="password.dirty && password.errors?.required" class="kd-error">
            Password is required
          </mat-error>
        </div>
      </mat-dialog-content>
      <hr>

      <div class="form-group form-row justify-content-center kd-button-margin">
          <button class="btn btn-primary" type="submit" [ngClass]="submitHoverClass()"
                  [disabled]="loginForm.invalid">
                  Login
          </button>
          <button class="btn btn-primary kd-btn-danger" type="reset" (click)="onCancel()">
            Cancel
          </button>
      </div>
  </form>
</div>
